#ifndef	V_UIEVT_H
#define	V_UIEVT_H

#ifdef __cplusplus
extern "C" {
#endif
	/*
	 * Conversion between scancodes and their names.
	 * The name formed by striping "sc_" prefix.
	 */
	char_p		V_GLOBAL	uiKeyscan2Name(unsigned scan);
	unsigned	V_GLOBAL	uiName2Keyscan(char *name);
	/*
	 * Event management functions (all functions assume that
	 * current GL context for calling thread is valid.
	 */
	/*
	 * Returns number of events waiting in queue of active GL
	 * window. Polls the system queue, but _never_ blocks.
	 */
	vsize_t	V_GLOBAL	uiEventsQueued(void);
	/*
	 * Removes all messages from queues (both from system and
	 * window's), never blocks.
	 */
	void V_GLOBAL	uiFlushQueue(void);
	/*
	 * Returns pointer to n#th event from head of the queue.
	 * Neither polls system, nor blocks.
	 */
	ui_event_p	V_GLOBAL	uiPeekEvent(vsize_t offset_from_first_push);
	/* Same as above, but returns n#th event from tail of the queue. */
	ui_event_p	V_GLOBAL	uiPeekLastEvent(vsize_t offset_from_last_push);
	
	vboolean	V_GLOBAL	uiNextEvent(ui_event_p ev_return);
	

	

#endif /* 0 */

#ifdef __cplusplus
}
#endif

#define	uiPending()

#endif	/* V_UIEVT_H */

