#include <../source/TAL/objbase.h>

#include "winlib_common.h"

char_p	V_GLOBAL
uiKeyscan2Name(unsigned scan)
{
	char *name;

#define	MATCH_SCAN(scan_name) \
	case sc_##scan_name: name = #scan_name; break;

	switch(scan)
	{
		MATCH_SCAN(escape)
		MATCH_SCAN(f1)
		MATCH_SCAN(f2)
		MATCH_SCAN(f3)
		MATCH_SCAN(f4)
		MATCH_SCAN(f5)
		MATCH_SCAN(f6)
		MATCH_SCAN(f7)
		MATCH_SCAN(f8)
		MATCH_SCAN(f9)
		MATCH_SCAN(f10)
		MATCH_SCAN(f11)
		MATCH_SCAN(f12)
		MATCH_SCAN(print)
		MATCH_SCAN(scroll_lock)
		MATCH_SCAN(pause)

		MATCH_SCAN(grave)
		MATCH_SCAN(1)
		MATCH_SCAN(2)
		MATCH_SCAN(3)
		MATCH_SCAN(4)
		MATCH_SCAN(5)
		MATCH_SCAN(6)
		MATCH_SCAN(7)
		MATCH_SCAN(8)
		MATCH_SCAN(9)
		MATCH_SCAN(0)
		MATCH_SCAN(minus)
		MATCH_SCAN(equal)
		MATCH_SCAN(backslash)
		MATCH_SCAN(backspace)

		MATCH_SCAN(tab)
		MATCH_SCAN(q)
		MATCH_SCAN(w)
		MATCH_SCAN(e)
		MATCH_SCAN(r)
		MATCH_SCAN(t)
		MATCH_SCAN(y)
		MATCH_SCAN(u)
		MATCH_SCAN(i)
		MATCH_SCAN(o)
		MATCH_SCAN(p)
		MATCH_SCAN(lbracket)
		MATCH_SCAN(rbracket)
		MATCH_SCAN(enter)

		MATCH_SCAN(caps_lock)
		MATCH_SCAN(a)
		MATCH_SCAN(s)
		MATCH_SCAN(d)
		MATCH_SCAN(f)
		MATCH_SCAN(g)
		MATCH_SCAN(h)
		MATCH_SCAN(j)
		MATCH_SCAN(k)
		MATCH_SCAN(l)
		MATCH_SCAN(semicolon)
		MATCH_SCAN(apostrophe)

		MATCH_SCAN(lshift)
		MATCH_SCAN(z)
		MATCH_SCAN(x)
		MATCH_SCAN(c)
		MATCH_SCAN(v)
		MATCH_SCAN(b)
		MATCH_SCAN(n)
		MATCH_SCAN(m)
		MATCH_SCAN(comma)
		MATCH_SCAN(period)
		MATCH_SCAN(slash)
		MATCH_SCAN(rshift)

		MATCH_SCAN(lcontrol)
		MATCH_SCAN(lsuper)
		MATCH_SCAN(lalt)
		MATCH_SCAN(space)
		MATCH_SCAN(ralt)
		MATCH_SCAN(rsuper)
		MATCH_SCAN(menu)
		MATCH_SCAN(rcontrol)

		MATCH_SCAN(insert)
		MATCH_SCAN(home)
		MATCH_SCAN(prior)
		MATCH_SCAN(delete)
		MATCH_SCAN(end)
		MATCH_SCAN(next)

		MATCH_SCAN(up)
		MATCH_SCAN(down)
		MATCH_SCAN(left)
		MATCH_SCAN(right)

		MATCH_SCAN(num_lock)
		MATCH_SCAN(kp_slash)
		MATCH_SCAN(kp_multiply)
		MATCH_SCAN(kp_subtract)
		MATCH_SCAN(kp_home)
		MATCH_SCAN(kp_up)
		MATCH_SCAN(kp_prior)
		MATCH_SCAN(kp_add)
		MATCH_SCAN(kp_left)
		MATCH_SCAN(kp_begin)
		MATCH_SCAN(kp_right)
		MATCH_SCAN(kp_end)
		MATCH_SCAN(kp_down)
		MATCH_SCAN(kp_next)
		MATCH_SCAN(kp_enter)
		MATCH_SCAN(kp_insert)
		MATCH_SCAN(kp_delete)

		MATCH_SCAN(lbutton)
		MATCH_SCAN(mbutton)
		MATCH_SCAN(rbutton)

		/*
		case sc_escape: name = "escape"; break;
	    case sc_f1: name = "f1"; break;
	    case sc_f2: name = "f2"; break;
	    case sc_f3: name = "f3"; break;
	    case sc_f4: name = "f4"; break;
	    case sc_f5: name = "f5"; break;
	    case sc_f6: name = "f6"; break;
	    case sc_f7: name = "f7"; break;
	    case sc_f8: name = "f8"; break;
	    case sc_f9: name = "f9"; break;
	    case sc_f10: name = "f10"; break;
	    case sc_f11: name = "f11"; break;
	    case sc_f12: name = "f12"; break;
	    case sc_print: name = "print"; break;
	    case sc_scroll_lock: name = "scroll_lock"; break;
	    case sc_pause: name = "pause"; break;

	    case sc_grave: name = "grave"; break;
	    case sc_1: name = "1"; break;
	    case sc_2: name = "2"; break;
	    case sc_3: name = "3"; break;
	    case sc_4: name = "4"; break;
	    case sc_5: name = "5"; break;
	    case sc_6: name = "6"; break;
	    case sc_7: name = "7"; break;
	    case sc_8: name = "8"; break;
	    case sc_9: name = "9"; break;
	    case sc_0: name = "0"; break;
	    case sc_minus: name = "minus"; break;
	    case sc_equal: name = "equal"; break;
	    case sc_backslash: name = "backslash"; break;
	    case sc_backspace: name = "backspace"; break;

	    case sc_tab: name = "tab"; break;
	    case sc_q: name = "q"; break;
	    case sc_w: name = "w"; break;
	    case sc_e: name = "e"; break;
	    case sc_r: name = "r"; break;
	    case sc_t: name = "t"; break;
	    case sc_y: name = "y"; break;
	    case sc_u: name = "u"; break;
	    case sc_i: name = "i"; break;
	    case sc_o: name = "o"; break;
	    case sc_p: name = "p"; break;
	    case sc_lbracket: name = "lbracket"; break;
	    case sc_rbracket: name = "rbracket"; break;
	    case sc_enter: name = "enter"; break;

	    case sc_caps_lock: name = "caps_lock"; break;
	    case sc_a: name = "a"; break;
	    case sc_s: name = "s"; break;
	    case sc_d: name = "d"; break;
	    case sc_f: name = "f"; break;
	    case sc_g: name = "g"; break;
	    case sc_h: name = "h"; break;
	    case sc_j: name = "j"; break;
	    case sc_k: name = "k"; break;
	    case sc_l: name = "l"; break;
	    case sc_semicolon: name = "semicolon"; break;
	    case sc_apostrophe: name = "apostrophe"; break;

	    case sc_lshift: name = "lshift"; break;
	    case sc_z: name = "z"; break;
	    case sc_x: name = "x"; break;
	    case sc_c: name = "c"; break;
	    case sc_v: name = "v"; break;
	    case sc_b: name = "b"; break;
	    case sc_n: name = "n"; break;
	    case sc_m: name = "m"; break;
	    case sc_comma: name = "comma"; break;
	    case sc_period: name = "period"; break;
	    case sc_slash: name = "slash"; break;
	    case sc_rshift: name = "rshift"; break;

	    case sc_lcontrol: name = "lcontrol"; break;
	    case sc_lsuper: name = "lsuper"; break;
	    case sc_lalt: name = "lalt"; break;
	    case sc_space: name = "space"; break;
	    case sc_ralt: name = "ralt"; break;
	    case sc_rsuper: name = "rsuper"; break;
	    case sc_menu: name = "menu"; break;
	    case sc_rcontrol: name = "rcontrol"; break;

	    case sc_insert: name = "insert"; break;
	    case sc_home: name = "home"; break;
	    case sc_prior: name = "prior"; break;
	    case sc_delete: name = "delete"; break;
	    case sc_end: name = "end"; break;
	    case sc_next: name = "next"; break;

	    case sc_up: name = "up"; break;
	    case sc_down: name = "down"; break;
	    case sc_left: name = "left"; break;
	    case sc_right: name = "right"; break;

	    case sc_num_lock: name = "num_lock"; break;
	    case sc_kp_slash: name = "kp_slash"; break;
	    case sc_kp_multiply: name = "kp_multiply"; break;
	    case sc_kp_subtract: name = "kp_subtract"; break;
	    case sc_kp_home: name = "kp_home"; break;
	    case sc_kp_up: name = "kp_up"; break;
	    case sc_kp_prior: name = "kp_prior"; break;
	    case sc_kp_add: name = "kp_add"; break;
	    case sc_kp_left: name = "kp_left"; break;
	    case sc_kp_begin: name = "kp_begin"; break;
	    case sc_kp_right: name = "kp_right"; break;
	    case sc_kp_end: name = "kp_end"; break;
	    case sc_kp_down: name = "kp_down"; break;
	    case sc_kp_next: name = "kp_next"; break;
	    case sc_kp_enter: name = "kp_enter"; break;
	    case sc_kp_insert: name = "kp_insert"; break;
	    case sc_kp_delete: name = "kp_delete"; break;
	
	    case sc_lbutton: name = "lbutton"; break;
	    case sc_mbutton: name = "mbutton"; break;
	    case sc_rbutton: name = "rbutton"; break;
        */
	    default: name = "unknown";
	}
	return name;

#undef	MATCH_SCAN
}

unsigned V_GLOBAL
uiName2Keyscan(char *name)
{
	unsigned code;
	if(!name || !*name)
		return sc_unknown;
	for(code = 0;code < sc_maxcode;code++)
		if(!strcasecmp(name,uiKeyscan2Name(code)))
			return code;
	return sc_unknown;
}

vsize_t V_CALL
archWinQueued(arch_window_p wnd)
{
	archWinPoll(wnd,false);
	return eventDeqCount(wnd->msg_que);
}

ui_event_p V_CALL
archWinPeek(arch_window_p wnd,vsize_t ofs)
{
	ui_event_p ptr;
	if(!eventDeqPeekBack(wnd->msg_que,ofs,&ptr))
		return NULL;
	return ptr;
}

vboolean V_CALL
archWinRemove(arch_window_p wnd,vsize_t ofs)
{
	if(!eventDeqPeekBack(wnd->msg_que,ofs,NULL))
		return false;
	wnd->msg_que = eventDeqRemoveBack(wnd->msg_que,ofs);
	return true;
}

vboolean V_CALL
ui_default_wnd_proc(arch_window_p aw,ui_event_p ev)
{
	switch(ev->type)
	{
		case ui_window_focus_in_event:
			aw->focused = true;
			if(aw->vidmode_on_activate != -1)
			{
				archWinSetVidMode(aw,aw->vidmode_on_activate);
				aw->vidmode_on_activate = -1;
			}
			break;
		case ui_window_focus_out_event:
			aw->focused = false;
			if(aw->current_vidmode != -1)
			{
				aw->vidmode_on_activate = aw->current_vidmode;
				archWinSetVidMode(aw,-1);
			}
			break;
		case ui_wm_event:
			if((ev->configure.wm_event == ui_wm_close) &&
					(aw->current_vidmode != -1))
				archWinSetVidMode(aw,-1);
			break;
		case ui_window_move_event:
			aw->x = ev->configure.x;
			aw->y = ev->configure.y;
			aw->width = ev->configure.width;
			aw->height = ev->configure.height;
			break;
		case ui_window_size_event:
			aw->x = ev->configure.x;
			aw->y = ev->configure.y;
			aw->width = ev->configure.width;
			aw->height = ev->configure.height;
			break;
		case ui_pointer_motion_event:
        	if(aw->auto_warp_pointer)
            {
            	s32_t cx = aw->width / 2;
            	s32_t cy = aw->height / 2;
				/* Avoid recursion */
				if(ev->client_x == cx && ev->client_y == cy)
					return true;
				/* Store deltas */
				ev->client_x -= cx;
				ev->client_y -= cy;
				ev->screen_x -= cx;
				ev->screen_y -= cy;
				archWinWarpPointer(aw,cx,cy);
            }
#ifdef	DISCARD_DUPLICATE_MOUSEMOVE
			if(aw->last_mx == ev->client_x && aw->last_my == ev->client_y)
				return true;
			aw->last_mx = ev->client_x;
			aw->last_my = ev->client_y;
#endif	/* DISCARD_DUPLICATE_MOUSEMOVE */
			break;
		default:
			break;
	}
	return false;
}

void V_CALL
ui_make_default_key_event(ui_key_event_p ev)
{
	ev->press = false;
	ev->scan = sc_unknown;
	ev->ch = 0;
	ev->unicode = 0;
}

void V_CALL
ui_set_configure_from_aw(arch_window_p aw,ui_configure_event_p ev)
{
	ev->focused = aw->focused;
	ev->visible = aw->visible;
	ev->x = aw->x;
	ev->y = aw->y;
	ev->width = aw->width;
	ev->height = aw->height;
	ev->exposed_left = ev->exposed_top = 0;
	ev->exposed_right = ev->exposed_bottom = 0;
	ev->wm_event = ui_wm_unknown;
}

vec_t	V_CALL
ui_make_message_time(unsigned *start,unsigned current)
{
	unsigned delta1, delta2;
	if(!*start)
		*start = current; /* FIXME: from what to count the time ??? */
	if(*start <= current)
	{
		delta1 = current - *start;
		delta2 = 0;
	}
	else
	{
		/* overflow ! */
		unsigned last;
#ifdef _ARCH_64_
		last = 0xFFFFFFFFFFFFFFFF;
#else
		last = 0xFFFFFFFF;
#endif
		delta1 = last - *start;
		delta2 = current;
		/* FIXME: this is wrong */
		*start = current;
	}
	return (vec_t)0.001 * ((vec_t)delta1 + (vec_t)delta2);
}

#if 0

/* BEGIN gl_common.h */
#define	IF_NO_CONTEXT(ctx) \
	(ctx) = libvIsHandle(GetThreadData()->gl_context,caller_name, \
		gl_context_name,GL_CONTEXT_MAGIC); \
	if((ctx) == LIBV_INVALID_HANDLE)

/* BEGIN gl_common.c */
vsize_t	V_GLOBAL
uiEventsQueued()
{
	CALLER_NAME(uiEventsQueued)
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return 0;
	return archWinQueued(ctx->wnd);
}

void V_GLOBAL
uiFlushQueue(void)
{
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return;
	archWinPoll(ctx->wnd,false);
	if(eventDeqCount(ctx->wnd->msg_que))
	{
		eventDeqFree(ctx->wnd->msg_que);
		ctx->wnd->msg_que = NULL;
	}
}

ui_event_p V_GLOBAL
uiPeekEvent(vsize_t offset_from_first_push)
{
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return NULL;
	if(!eventDeqPeekBack(ctx->wnd->msg_que,offset_from_first_push,&ptr))
		return NULL;
	return ptr;
}

ui_event_p V_GLOBAL
uiPeekLastEvent(vsize_t offset_from_last_push)
{
	ui_event_p ptr;
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return NULL;
	if(!eventDeqPeek(ctx->wnd->msg_que,offset_from_last_push,&ptr))
		return NULL;
	return ptr;
}

vboolean V_GLOBAL
uiRemoveEvent(vsize_t offset_from_first_push,ui_event_p ev_return)
{
	ui_event_p ptr;
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return false;
	if(!eventDeqPeekBack(msg_que,offset_from_first_push,&ptr))
		return false;
	if(ev_return)
		memCopy(ev_return,ptr,sizeof(ui_event_t));
	msg_que = eventDeqRemoveBack(msg_que,offset_from_first_push);
	return true;
}

vboolean V_GLOBAL
uiRemoveLastEvent(vsize_t offset_from_last_push,ui_event_p ev_return)
{
	ui_event_p ptr;
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return false;
	if(!eventDeqPeek(ctx->wnd->msg_que,offset_from_last_push,&ptr))
		return false;
	if(ev_return)
		memCopy(ev_return,ptr,sizeof(ui_event_t));
	ctx->wnd->msg_que =
		eventDeqRemove(ctx->wnd->msg_que,offset_from_last_push);
	return true;
}

vboolean V_GLOBAL
uiNextEvent(ui_event_p ev_return)
{
	gl_context_p ctx;
	IF_NO_CONTEXT(ctx)
		return false;
	archWinPoll(ctx->wnd,true);
	ctx->wnd->msg_que = eventDeqPopBack(ctx->wnd->msg_que,ev_return);
	return true;
}

#endif /* 0 */
